// src/lib/lit.js

import * as Lit from "@lit-protocol/lit-node-client";

const client = new Lit.LitNodeClient();

class LitConnector {
  litNodeClient;
  async connect() {
    await client.connect();
    this.litNodeClient = client;
  }
}

export default new LitConnector();
